## mars.mips.hardware
Class RegisterAccessNotice

    java.lang.Object
      mars.mips.hardware.AccessNotice
          mars.mips.hardware.RegisterAccessNotice

    public class RegisterAccessNotice

extends AccessNotice

Object provided to Observers of runtime access to MIPS register. Observer can get the access type (R/W) and register number.

Author:
  Pete Sanderson

Field Summary

Fields inherited from class mars.mips.hardware.AccessNotice
`READ, WRITE`

Method Summary
`String` `getRegisterName()` Fetch the register number of register accessed.
`String` `toString()` String representation indicates access type and which register

Methods inherited from class mars.mips.hardware.AccessNotice
`accessIsFromGUI, accessIsFromMIPS, getAccessType, getThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRegisterName

    public String getRegisterName()

  Fetch the register number of register accessed.

### toString

    public String toString()

  String representation indicates access type and which register

  Overrides:
    `toString` in class `Object`